/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "FeatureSelectViewModel": function() { return /* reexport */ FeatureSelectViewModel; },
  "default": function() { return /* reexport */ FeatureSelect; }
});

;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: external "xe-utils"
var external_xe_utils_namespaceObject = require("xe-utils");
var external_xe_utils_default = /*#__PURE__*/__webpack_require__.n(external_xe_utils_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/util"
var util_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/util");
;// CONCATENATED MODULE: ./node_modules/@babel/runtime/helpers/esm/defineProperty.js
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/mitt"
var mitt_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/mitt");
var mitt_default = /*#__PURE__*/__webpack_require__.n(mitt_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/gis-utils"
var gis_utils_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/gis-utils");
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet"
var vue_iclient_leaflet_namespaceObject = require("@zpc_npm/vue-iclient-leaflet");
;// CONCATENATED MODULE: ./src/common/featureselect/FeatureSelectViewModel.js






class FeatureSelectViewModel extends (mitt_default()) {
  // 外部导入的图层数据
  // 请求服务获取的地图图层数据
  // 选中的图层
  // 查询获取的features
  // 临时存储生成的layer
  constructor(options) {
    super();

    _defineProperty(this, "_props", null);

    _defineProperty(this, "webMap", null);

    _defineProperty(this, "queryLayers", null);

    _defineProperty(this, "maplayers", null);

    _defineProperty(this, "selectedLayer", null);

    _defineProperty(this, "features", null);

    _defineProperty(this, "layerCaches", new Map());

    this._props = JSON.parse(JSON.stringify(options.props));
    this._loadedAsync = this._loadedAsync.bind(this);
    this._loadedSync = this._loadedSync.bind(this);
    this._updateLayerData = this._updateLayerData.bind(this);
    this.setLayerData = this.setLayerData.bind(this);

    this._registerEvents();
  }

  _registerEvents() {
    // 监听地图初始化完成事件
    // 异步
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("mounted", this._loadedAsync, this._props.mapTarget);
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._updateLayerData, this._props.mapTarget); // 同步

    gis_utils_namespaceObject.utils.getWebMap(this._props.mapTarget, this._loadedSync);
  }

  _loadedAsync(e) {
    // 如果图层变化事件是自己触发的 则不继续执行 避免死循环
    if (e.eventTarget && e.eventTarget === this) {
      return;
    }

    this.webMap = e.target;
    this.setLayerData();
  }

  _loadedSync(e) {
    this.webMap = e;
    this.setLayerData();
  } // 更新图层树


  _updateLayerData() {
    let maplayers = gis_utils_namespaceObject.mapLayerUtils.getLayerCheckedList(this._props.mapTarget);
    maplayers = this._filterLayers(maplayers);
    this.fire("updateData", {
      maplayers
    });
  } // 设置图层树数据


  setLayerData() {
    let maplayers = gis_utils_namespaceObject.mapLayerUtils.getLayerCheckedList(this._props.mapTarget); // 过滤rasterLayer为false的图层数据，即数据为栅格数据;

    maplayers = external_xe_utils_default().filter(maplayers, item => !item.rasterLayer);
    this.maplayers = maplayers;

    if (maplayers && maplayers.length > 0) {
      this.fire("setLayerData", {
        maplayers
      });
      return maplayers;
    }
  }
  /**
   * 选图后查询
   */


  startQuery() {
    if (!this.selectedLayer) {
      (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
        message: "没有要查询的图层！",
        type: "error",
        duration: 2000
      });
      return false;
    }

    gis_utils_namespaceObject.mapDrawUtils.startDrawRectPoint(this._props.mapTarget, e => {
      let latlng = {
        lat: e.coordinates[1],
        lng: e.coordinates[0]
      };
      let coor1 = [latlng.lng - 0.0000001, latlng.lat - 0.0000001];
      let coor2 = [latlng.lng + 0.0000001, latlng.lat + 0.0000001];
      let coors = [[coor1, [coor1[0], coor2[1]], coor2, [coor2[0], coor1[1]], coor1]];
      let geometry = {
        type: "Polygon",
        coordinates: coors
      };
      this.query(geometry);
    }, true, true, this._props.cursor, this._props.drawStyle);
  }
  /**
   * 识别查询
   * @param {geojson} geometry
   */


  query(geometry) {
    this.fire("onPolling");
    let selectedLayer = this.selectedLayer;
    let ua_token = selectedLayer.accessToken;
    let dataUrl = (0,util_namespaceObject.getKQURLFromURL)(selectedLayer.url) + "/data";
    let geoSRS = new window.KqGIS.ServiceSRS({
      type: window.KqGIS.ProjectSystemType.EPSG,
      value: "4326"
    });
    let filter = new window.KqGIS.FilterParams({
      geometry: geometry,
      geoSRS: geoSRS,
      SpatialRel: window.KqGIS.SpatialRel.INTERSECT
    });
    let params = new window.KqGIS.Data.IdentifyParams({
      layerId: [selectedLayer.id],
      filter: [filter],
      returnContent: true,
      hasGeometry: true,
      ua_token: ua_token
    });
    /**
     * 成功回调
     */

    let onSuccess = response => {
      let res = response.result.result; // this.features = res[0].features;

      this.locateFactor(res[0].features);
      this.fire("onResult");
    };
    /**
     * 失败回调
     */


    let onFailed = error => {
      this.fire("onResult");
      (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
        message: "查询失败！",
        type: "error",
        duration: 2000
      });
    };

    let service = new window.KqGIS.Data.IdentifyService(dataUrl, {
      eventListeners: {
        processCompleted: onSuccess,
        processFailed: onFailed
      }
    });
    service.processAsync(params);
  }
  /**
   * 生成定位因子
   * @param {geoJSON} g - 生成的geojson
   */


  locateFactor(g) {
    if (!g) {
      (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
        message: "选图区域没有选中图层的图形!",
        type: "error",
        duration: 2000
      });
      return false;
    }

    let drawLocationStyle = null;
    let fillLocationStyle = null;

    if (this._props.drawStyle != null && this._props.drawStyle != undefined && this._props.drawStyle != "") {
      drawLocationStyle = this._props.drawStyle;
    }

    if (this._props.fillStyle != null && this._props.fillStyle != undefined && this._props.fillStyle != "") {
      fillLocationStyle = this._props.fillStyle;
    }

    if (!this._props.multiple) {
      // 单选
      this.features = g;
      gis_utils_namespaceObject.mapDrawUtils.removeGeometryByIdCustom(this._props.mapTarget, "queryinfo");
      gis_utils_namespaceObject.mapDrawUtils.drawAndFlytoGeometry(this._props.mapTarget, g, "queryinfo", null, drawLocationStyle, fillLocationStyle);
    } else {
      // 多选
      if (this.layerCaches.has(JSON.stringify(g))) {
        gis_utils_namespaceObject.mapDrawUtils.removeGeometryByIdCustom(this._props.mapTarget, JSON.stringify(g));
        this.layerCaches.delete(JSON.stringify(g));
      } else {
        this.layerCaches.set(JSON.stringify(g), g);
        gis_utils_namespaceObject.mapDrawUtils.drawAndFlytoGeometry(this._props.mapTarget, g, JSON.stringify(g), null, drawLocationStyle, fillLocationStyle);
      }

      this.features = [];
      this.layerCaches.forEach((val, key) => {
        this.features.push(val[0]);
      });
    }
  }
  /**
   * 设置选中的图层
   * @param {Object} selectedLayer - 被选中的图层数据
   */


  setSelectedLayer(selectedLayer) {
    this.reset(); // 清除生成的因子

    this.selectedLayer = selectedLayer; // 重置选中图层
  }

  exportSHP(ServerUrl) {
    if (this.features && this.features.length) {
      (0,util_namespaceObject.exportSHP)(ServerUrl, this.features);
    } else {
      (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
        message: "选图区域没有选中图层的图形!",
        type: "error",
        duration: 2000
      });
    }
  }

  exportTXT() {
    if (this.features && this.features.length) {
      let txtBodys = (0,util_namespaceObject.createTxtBody)(this.features);
      let drawTTitle = "[属性描述] \r\n格式版本号=1.0 \r\n数据生产单位=国土资源部 \r\n数据产生日期=[datatime] \r\n坐标系=墨卡托 \r\n投影类型=高斯克吕格 \r\n计量单位=米 \r\n[地块坐标] \r\n";
      let date = new Date();
      let time = date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate();
      drawTTitle = drawTTitle.replace("[datatime]", time); // 设置生成日期

      let evalue = drawTTitle + txtBodys;
      (0,util_namespaceObject.exportTXT)(evalue, "", "地块坐标信息.txt");
    } else {
      (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
        message: "选图区域没有选中图层的图形!",
        type: "error",
        duration: 2000
      });
    }
  }
  /**
   * 重置
   */


  reset() {
    this.layerCaches.forEach((val, key) => {
      gis_utils_namespaceObject.mapDrawUtils.removeGeometryByIdCustom(this._props.mapTarget, key);
    });
    gis_utils_namespaceObject.mapDrawUtils.removeGeometryByIdCustom(this._props.mapTarget, "queryinfo");
    gis_utils_namespaceObject.mapDrawUtils.stopDrawState(this._props.mapTarget);
    this.selectedLayer = null;
  }
  /**
   * @param {Array} queryLayers - 外部传入的图层数据，与图层树选中数据取交集
   */


  init(queryLayers) {
    let maplayers = gis_utils_namespaceObject.mapLayerUtils.getLayerCheckedList(this._props.mapTarget);
    this.queryLayers = queryLayers;

    if (queryLayers && queryLayers.length) {
      maplayers = this._filterLayers(maplayers);
    }

    if (maplayers && maplayers.length > 0) {
      this.fire("setData", {
        maplayers
      });
    }
  }
  /**
   * 过滤图层，初始化或图层树改变时触发
   * @param {Array} maplayers - 需过滤的图层数据
   */


  _filterLayers(maplayers) {
    let queryLayers = this.queryLayers;
    let layers = [];

    if (queryLayers && queryLayers.length) {
      for (let s = 0; s < queryLayers.length; s++) {
        for (let i = 0; i < maplayers.length; i++) {
          if (!queryLayers[s].rasterLayer && maplayers[i].guid === queryLayers[s].guid && parseInt(maplayers[i].id) === parseInt(queryLayers[s].id)) {
            layers.push(maplayers[i]);
            continue;
          }
        }
      }

      maplayers = layers;
    }

    return maplayers;
  }

  destroy() {
    this.off();
  }

}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-icons"
var vue_iclient_icons_namespaceObject = require("@zpc_npm/vue-iclient-icons");
;// CONCATENATED MODULE: external "@element-plus/icons-vue"
var icons_vue_namespaceObject = require("@element-plus/icons-vue");
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/common/featureselect/FeatureSelect.vue?vue&type=script&setup=true&lang=js

const _hoisted_1 = {
  class: "btn-box"
};

const _hoisted_2 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", {
  class: "title"
}, "导出", -1
/* HOISTED */
);

const _hoisted_3 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("导出SHP");

const _hoisted_4 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createTextVNode)("导出txt");







const __default__ = {
  name: "KqFeatureSelect"
};
/* harmony default export */ var FeatureSelectvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 每个地图相关组件的必须参数 非必传 指定组件绑定的map对象的div的id
    mapTarget: String,
    // 是否显示阴影
    showShadow: {
      type: Boolean,
      default: false
    },

    /**
     * 例："center","topLeft","topRight","bottomLeft","bottomRight", "topCenter", "bottomCenter" {top:'16px',left:'16px'}, {top:16,left:16}
     */
    position: [String, Object],
    // 是否为多选，默认单选
    multiple: {
      type: Boolean,
      default: false
    },
    cursor: {
      type: String,
      default: "url(images/cur/cursor-select.cur),move"
    },
    drawStyle: {
      type: Object,
      default: () => {
        return {
          fillColor: "#3388ff",
          weight: 2,
          fillOpacity: 0.3,
          dashArray: "0"
        };
      }
    },
    fillStyle: {
      type: Object,
      default: () => {
        return {
          lineColor: "red",
          lineWidth: "1px",
          lineType: "grid",
          lineSpacing: 12
        };
      }
    }
  },

  setup(__props, {
    expose
  }) {
    const props = __props;
    let layers = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
      data: []
    }); // 默认值

    let defaultSelected = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(""); // 选中的图层

    let selectedLayer = null; // 容器

    let box_ref = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null);
    let loading = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false);
    let viewModel = null;
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      (0,util_namespaceObject.updatePosition)(box_ref.value, props);
      viewModel = new FeatureSelectViewModel({
        props
      });
      const setLayerData = viewModel.setLayerData();

      if (setLayerData && setLayerData.length) {
        setLayer(setLayerData);
      } else {
        viewModel.on("setLayerData", _data => {
          setLayer(_data.maplayers);
        });
      } // 更新图层数据


      viewModel.on("updateData", _data => {
        layers.data = _data.maplayers;

        if (selectedLayer && selectedLayer.guid) {
          var result = external_xe_utils_default().find(layers.data, item => item.guid === selectedLayer.guid);

          if (!result) {
            onReset();
          }
        }
      });
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onBeforeUnmount)(() => {
      clear();
      viewModel = null;
    });

    const setLayer = maplayers => {
      layers.data = maplayers;

      if (maplayers.length === 0) {
        defaultSelected.value = "";
        return;
      }
    };

    const onChangeSelect = guid => {
      defaultSelected.value = guid;
      selectedLayer = external_xe_utils_default().find(layers.data, item => item.guid === guid); // 设置选中的图层

      viewModel.setSelectedLayer(selectedLayer);
    };

    const onSelectExport = val => {
      if (val === "shp") {
        exportSHP();
      }

      if (val === "txt") {
        exportTXT();
      }
    }; // 导出shp


    const exportSHP = () => {
      viewModel.exportSHP();
    }; // 导出txt


    const exportTXT = () => {
      viewModel.exportTXT();
    }; // 选择Feature


    const onSelect = () => {
      viewModel.on("onPolling", () => {
        loading.value = true;
      });
      viewModel.on("onResult", () => {
        loading.value = false;
      });
      viewModel.startQuery();
    };
    /**
     * 重置选中的Feature
     */


    const onReset = () => {
      loading.value = false;
      selectedLayer = null;
      defaultSelected.value = "";
      viewModel.reset();
    };
    /**
     * 销毁组件
     */


    const clear = () => {
      onReset();
      viewModel.destroy();
    };
    /**
     * 初始化组件
     * @param {Array} queryLayers - 外部传入的数据,权重最高
     */


    const init = queryLayers => {
      viewModel.on("setData", _data => {
        layers.data = _data.maplayers;
      });
      viewModel.init(queryLayers);
    };

    expose({
      init,
      clear
    });
    return (_ctx, _cache) => {
      const _component_kq_option = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-option");

      const _component_kq_select = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-select");

      const _component_kq_form_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-form-item");

      const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon");

      const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-button");

      const _component_kq_dropdown_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-dropdown-item");

      const _component_kq_dropdown_menu = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-dropdown-menu");

      const _component_kq_dropdown = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-dropdown");

      const _component_kq_form = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-form");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("section", {
        class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)(["kq-feature-select", __props.showShadow ? 'shadow' : null]),
        ref_key: "box_ref",
        ref: box_ref
      }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form, {
        "label-width": "84px",
        "label-position": "left"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
          label: "请选择图层",
          style: {
            "margin-bottom": "8px"
          }
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_select, {
            modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(defaultSelected),
            "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(defaultSelected) ? defaultSelected.value = $event : defaultSelected = $event),
            onChange: onChangeSelect,
            placeholder: "请选择...",
            style: {
              "width": "243px"
            }
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(layers).data, item => {
              return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_option, {
                label: item.name,
                value: item.guid,
                key: item.guid
              }, null, 8
              /* PROPS */
              , ["label", "value"]);
            }), 128
            /* KEYED_FRAGMENT */
            ))]),
            _: 1
            /* STABLE */

          }, 8
          /* PROPS */
          , ["modelValue"])]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
          label: "请选择图斑",
          style: {
            "margin-bottom": "16px"
          }
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
            onClick: onSelect,
            loading: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(loading)
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
              size: 22
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(vue_iclient_icons_namespaceObject.IconSelect))]),
              _: 1
              /* STABLE */

            }, 512
            /* NEED_PATCH */
            ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, !(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(loading)]])]),
            _: 1
            /* STABLE */

          }, 8
          /* PROPS */
          , ["loading"]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
            onClick: onReset
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
              size: 22
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(vue_iclient_icons_namespaceObject.IconCancelSelect))]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })])]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_form_item, {
          class: "menu-btn"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_dropdown, {
            onCommand: onSelectExport
          }, {
            dropdown: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_dropdown_menu, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_dropdown_item, {
                command: "shp"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_3]),
                _: 1
                /* STABLE */

              }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_dropdown_item, {
                command: "txt"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [_hoisted_4]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            })]),
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
              class: "export-btn"
            }, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
                size: 16,
                class: "icon-export"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(vue_iclient_icons_namespaceObject.IconExport))]),
                _: 1
                /* STABLE */

              }), _hoisted_2, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, {
                class: "el-icon--right"
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.ArrowDown))]),
                _: 1
                /* STABLE */

              })]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })], 2
      /* CLASS */
      );
    };
  }

}));
;// CONCATENATED MODULE: ./src/common/featureselect/FeatureSelect.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/common/featureselect/FeatureSelect.vue



const __exports__ = FeatureSelectvue_type_script_setup_true_lang_js;

/* harmony default export */ var FeatureSelect = (__exports__);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/init.js"
var init_js_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/common/featureselect/index.js




FeatureSelect.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(FeatureSelect.name, FeatureSelect);
};


module.exports = __webpack_exports__;
/******/ })()
;