/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "LayerListViewModel": function() { return /* reexport */ LayerListViewModel; },
  "default": function() { return /* reexport */ LayerList; }
});

;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: external "@element-plus/icons-vue"
var icons_vue_namespaceObject = require("@element-plus/icons-vue");
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/mitt"
var mitt_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/mitt");
var mitt_default = /*#__PURE__*/__webpack_require__.n(mitt_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/gis-utils"
var gis_utils_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/gis-utils");
;// CONCATENATED MODULE: ./src/common/layerlist/LayerListViewModel.js



class LayerListViewModel extends (mitt_default()) {
  constructor(options) {
    super();
    this._isCheckedFlyTo = options.isCheckedFlyTo;
    this._mapTarget = options.mapTarget; // 事件绑定this

    this._resetListData = this._resetListData.bind(this);
    this._changeMap = this._changeMap.bind(this);
  }

  init() {
    let maplayers = gis_utils_namespaceObject.mapLayerUtils.getLayerData(this._mapTarget);

    if (!maplayers) {
      // mapview初始化结束监听 如果view已经存在了，mounted事件不会添加监听
      gis_utils_namespaceObject.mapViewUtils.bindViewOnceEvents("mounted", this._resetListData, this._mapTarget);
    } else {
      this.setListData();
    }

    this._registerEvents();
  }
  /**
   * 注册事件
   */


  _registerEvents() {
    // 添加图层数据源变化监听
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._resetListData, this._mapTarget); // 切换监听事件 指定mapTarget时 不需要监听

    if (!(this._mapTarget && this._mapTarget !== "")) gis_utils_namespaceObject.utils.bindChangeMapEvents(this._changeMap);
  } // 地图切换事件


  _changeMap(e) {
    // 为了防止两个监听同时存在 出现数据出错
    const preMapTarget = e.preMapTarget; // 地图切换时 移除切换前地图的数据监听事件

    gis_utils_namespaceObject.mapViewUtils.offViewEvents("resetLayerDatas", this._resetListData, preMapTarget); // 地图切换时 添加切换手地图的数据监听事件 不传maptarget 获取当前地图的maptarget

    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._resetListData); // 重新获取、设置数据

    this.setListData();
  } // 图层监听事件


  _resetListData(e) {
    // 如果图层变化事件是自己触发的 则不继续执行 避免死循环
    if (e.eventTarget && e.eventTarget === this) {
      return;
    }

    this.setListData();
  } // 列表行点击事件


  rowClick(item) {
    gis_utils_namespaceObject.mapLayerUtils.setLayerVisibleStateByIds(this._mapTarget, [item.guid], item.visible, this); // 定位到图层

    if (item.visible && this._isCheckedFlyTo && item.rect84) {
      let bounds84 = [[item.rect84[1], item.rect84[0]], [item.rect84[3], item.rect84[2]]];
      gis_utils_namespaceObject.mapViewUtils.fitBounds(this._mapTarget, bounds84);
    }
  } // 设置列表数据


  setListData() {
    let maplayers = gis_utils_namespaceObject.mapLayerUtils.getLayerData(this._mapTarget);

    if (maplayers && maplayers.length > 0) {
      this.fire("setData", {
        maplayers
      });
    }
  } // 右键菜单点击事件


  handleSelectMenu(key, currentSelectedNode) {
    if (key === "1") {
      // 缩放至图层
      if (currentSelectedNode.rect84) {
        let bounds84 = [[currentSelectedNode.rect84[1], currentSelectedNode.rect84[0]], [currentSelectedNode.rect84[3], currentSelectedNode.rect84[2]]];
        gis_utils_namespaceObject.mapViewUtils.fitBounds(this._mapTarget, bounds84);
      }
    } else if (key === "3") {
      // 置顶
      gis_utils_namespaceObject.mapViewUtils.setLayerBringToFrontById(this._mapTarget, currentSelectedNode.guid, true);
    } else if (key === "4") {
      // 取消置顶
      gis_utils_namespaceObject.mapViewUtils.setLayerBringToFrontById(this._mapTarget, currentSelectedNode.guid, false);
    } else if (key === "5") {
      // 图层上移
      gis_utils_namespaceObject.mapViewUtils.raiseLayerByTreeId(this._mapTarget, currentSelectedNode.guid);
    } else if (key === "6") {
      // 图层下移
      gis_utils_namespaceObject.mapViewUtils.lowerLayerByTreeId(this._mapTarget, currentSelectedNode.guid);
    } else if (key === "7") {
      gis_utils_namespaceObject.mapViewUtils.resetLayerZIndex(this._mapTarget);
    }
  }

  reset() {
    gis_utils_namespaceObject.mapViewUtils.resetLayerZIndex(this._mapTarget);
  } // 销毁


  destroy() {
    // 删除所有事件监听
    this.off();
    gis_utils_namespaceObject.mapViewUtils.offViewEvents("mounted", this.resetListData, this._mapTarget);
    gis_utils_namespaceObject.mapViewUtils.offViewEvents("resetLayerDatas", this.resetListData, this._mapTarget);
    if (!(this._mapTarget && this._mapTarget !== "")) gis_utils_namespaceObject.utils.offChangeMapEvents(this._changeMap);
  }

}
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/common/layerlist/LayerList.vue?vue&type=script&setup=true&lang=js

const _hoisted_1 = {
  class: "layerlist"
};
const _hoisted_2 = ["title"];

 // 逻辑类 逻辑运算代码都写在里面

 // 获取组件传参
// vue3.2声明名称暂时只支持这样写 name在绑定组件的时候使用

const __default__ = {
  name: "KqLayerList"
};
/* harmony default export */ var LayerListvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 每个地图相关组件的必须参数 非必传 指定组件绑定的map对象的div的id
    mapTarget: String,
    // 组件名称
    // title: { type: String, default: "图层列表" },
    // 列表显示的节点属性
    nodeName: {
      type: String,
      default: "name"
    },
    // 是否显示操作菜单
    showMenu: {
      type: Boolean,
      default: true
    },
    // 勾选节点时是否定位到图层范围
    isCheckedFlyTo: {
      type: Boolean,
      default: false
    }
  },
  emits: ["rowClick"],

  setup(__props, {
    expose,
    emit
  }) {
    const props = __props; // 事件
    // list数据源

    let dataList = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
      data: []
    }); // 逻辑类

    let viewModel = null;
    let menuDropdown = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false); // 是否显示下拉菜单

    let dropDownMenu = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null); // 下拉菜单

    let currentSelectedNode = null; // 当前选中的节点

    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      viewModel = new LayerListViewModel({
        isCheckedFlyTo: props.isCheckedFlyTo,
        mapTarget: props.mapTarget
      }); // 逻辑类监听数据设置事件

      viewModel.on("setData", _data => {
        dataList.data.value = _data.maplayers;
      });
      viewModel.init();
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onBeforeUnmount)(() => {
      viewModel.destroy();
      viewModel = null;
      hideMenuDropdown();
    });
    /**
     * uilist的行点击事件
     * @param item
     */

    function rowClick(item) {
      item.visible = !item.visible;
      viewModel.rowClick(item);
      emit("rowClick", item);
    } // 显示下拉菜单


    function handleJudgeDropdownSH(node) {
      menuDropdown.value = true;
      let _menuDropdown = dropDownMenu.value.$el;
      _menuDropdown.style.left = window.event.clientX - 5 + "px";
      _menuDropdown.style.top = window.event.clientY + 15 + "px";
      _menuDropdown.style.width = "40px";
      currentSelectedNode = node;
      document.addEventListener("click", hideMenuDropdown);
    } //隐藏下拉菜单


    function hideMenuDropdown() {
      // 去除选中样式
      let selectElement = dropDownMenu.value.$el.querySelector(".is-active");
      if (selectElement) selectElement.classList.remove("is-active");
      menuDropdown.value = false;
      document.removeEventListener("click", hideMenuDropdown);
    }

    function handleSelectMenu(key) {
      viewModel.handleSelectMenu(key, currentSelectedNode);
    }

    function reset() {
      hideMenuDropdown();
      viewModel.reset();
    } // 抛出方法 外部调用


    expose({
      reset
    });
    return (_ctx, _cache) => {
      const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon");

      const _component_kq_menu_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-menu-item");

      const _component_kq_menu = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-menu");

      const _component_kq_scrollbar = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-scrollbar");

      const _component_kq_tooltip = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-tooltip");

      const _component_kq_divider = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-divider");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderSlot)(_ctx.$slots, "toolbar"), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_scrollbar, {
        class: "scrollbarClass"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu, {
          class: "layerlist-ul"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(dataList).data.value, item => {
            return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_menu_item, {
              index: item.guid,
              key: item.guid,
              onClick: $event => rowClick(item)
            }, {
              title: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.View))]),
                _: 2
                /* DYNAMIC */

              }, 1536
              /* NEED_PATCH, DYNAMIC_SLOTS */
              ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, item.visible]]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Hide))]),
                _: 2
                /* DYNAMIC */

              }, 1536
              /* NEED_PATCH, DYNAMIC_SLOTS */
              ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, !item.visible]]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", {
                title: item.tilepath
              }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(item[props.nodeName]), 9
              /* TEXT, PROPS */
              , _hoisted_2), props.showMenu ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_icon, {
                key: 0,
                class: "moreIcon",
                onClick: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withModifiers)($event => handleJudgeDropdownSH(item), ["prevent", "stop"])
              }, {
                default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.More))]),
                _: 2
                /* DYNAMIC */

              }, 1032
              /* PROPS, DYNAMIC_SLOTS */
              , ["onClick"])) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true)]),
              _: 2
              /* DYNAMIC */

            }, 1032
            /* PROPS, DYNAMIC_SLOTS */
            , ["index", "onClick"]);
          }), 128
          /* KEYED_FRAGMENT */
          ))]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu, {
        ref_key: "dropDownMenu",
        ref: dropDownMenu,
        class: "treeMenu",
        onSelect: handleSelectMenu
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tooltip, {
          effect: "light",
          content: "缩放至图层",
          placement: "right"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
            index: "1"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.FullScreen))]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tooltip, {
          effect: "light",
          content: "透明度",
          placement: "right"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
            index: "2"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.MagicStick))]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tooltip, {
          effect: "light",
          content: "图层置顶",
          placement: "right"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
            index: "3"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Download), {
                class: "layerTop"
              })]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tooltip, {
          effect: "light",
          content: "取消置顶",
          placement: "right"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
            index: "4"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Download))]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tooltip, {
          effect: "light",
          content: "图层上移",
          placement: "right"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
            index: "5"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Top))]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tooltip, {
          effect: "light",
          content: "图层下移",
          placement: "right"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
            index: "6"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Bottom))]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tooltip, {
          effect: "light",
          content: "图层还原",
          placement: "right"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
            index: "7"
          }, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
              default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.RefreshLeft))]),
              _: 1
              /* STABLE */

            })]),
            _: 1
            /* STABLE */

          })]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }, 512
      /* NEED_PATCH */
      )], 512
      /* NEED_PATCH */
      ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(menuDropdown)]])]);
    };
  }

}));
;// CONCATENATED MODULE: ./src/common/layerlist/LayerList.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/common/layerlist/LayerList.vue



const __exports__ = LayerListvue_type_script_setup_true_lang_js;

/* harmony default export */ var LayerList = (__exports__);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/init.js"
var init_js_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/common/layerlist/index.js




LayerList.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(LayerList.name, LayerList);
};


module.exports = __webpack_exports__;
/******/ })()
;