/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "LayerTreeViewModel": function() { return /* reexport */ LayerTreeViewModel; },
  "default": function() { return /* reexport */ LayerTree; }
});

;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: external "@element-plus/icons-vue"
var icons_vue_namespaceObject = require("@element-plus/icons-vue");
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet"
var vue_iclient_leaflet_namespaceObject = require("@zpc_npm/vue-iclient-leaflet");
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/mitt"
var mitt_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/mitt");
var mitt_default = /*#__PURE__*/__webpack_require__.n(mitt_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/gis-utils"
var gis_utils_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/gis-utils");
;// CONCATENATED MODULE: ./src/common/layertree/LayerTreeViewModel.js



class LayerTreeViewModel extends (mitt_default()) {
  constructor(mapTarget, maxCounts) {
    super();
    this._props = {
      mapTarget
    }; // 最大图层勾选数量

    this._maxCounts = maxCounts; // 事件绑定this

    this._resetListData = this._resetListData.bind(this);
    this._changeMap = this._changeMap.bind(this);
  }

  init() {
    let maplayers = gis_utils_namespaceObject.mapLayerUtils.getLayerTreeData(this._props.mapTarget);

    if (!maplayers) {
      // mapview初始化结束监听 如果view已经存在了，mounted事件不会添加监听
      gis_utils_namespaceObject.mapViewUtils.bindViewOnceEvents("mounted", this._resetListData, this._props.mapTarget);
    } else {
      this.setListData();
    }

    this._registerEvents();
  }
  /**
   * 注册事件
   */


  _registerEvents() {
    // 添加图层数据源变化监听
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._resetListData, this._props.mapTarget); // 切换监听事件 指定mapTarget时 不需要监听

    if (!(this._props.mapTarget && this._props.mapTarget !== "")) gis_utils_namespaceObject.utils.bindChangeMapEvents(this._changeMap);
  } // 图层监听事件


  _resetListData(e) {
    // 如果图层变化事件是自己触发的 则不继续执行 避免死循环
    if (e && e.eventTarget && e.eventTarget === this) {
      return;
    }

    this.setListData();
  } // 地图切换事件


  _changeMap(e) {
    // 为了防止两个监听同时存在 出现数据出错
    const preMapTarget = e.preMapTarget; // 地图切换时 移除切换前地图的数据监听事件

    gis_utils_namespaceObject.mapViewUtils.offViewEvents("resetLayerDatas", this._resetListData, preMapTarget); // 地图切换时 添加切换手地图的数据监听事件 不传maptarget 获取当前地图的maptarget

    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._resetListData); // 重新获取、设置数据

    this.setListData();
  } // 设置列表数据


  setListData() {
    let maplayers = gis_utils_namespaceObject.mapLayerUtils.getLayerTreeData(this._props.mapTarget);
    let keys = gis_utils_namespaceObject.mapLayerUtils.getLayerCheckedListKey(this._props.mapTarget);

    if (maplayers && maplayers.length > 0) {
      this.fire("setData", {
        maplayers,
        keys
      });
    }
  } // 图层树勾选事件


  handleCheck(nodeData, checked) {
    let that = this;
    let checkedLayers = gis_utils_namespaceObject.mapLayerUtils.getLayerCheckedListKey(this._props.mapTarget);

    if (checked && !isNextChangeNode(nodeData, checked)) {
      return;
    }

    let treeIds = [];

    if (nodeData.children) {
      let leafNodes = [];
      getAllLeafNodesByNodeData(nodeData, leafNodes);

      for (let i = 0; i < leafNodes.length; i++) {
        treeIds.push(leafNodes[i].guid);
      }
    } else {
      treeIds.push(nodeData.guid);
    }

    gis_utils_namespaceObject.mapLayerUtils.setLayerVisibleStateByIds(this._props.mapTarget, treeIds, checked, this); // 判断图层树是否超出子节点限制

    function isNextChangeNode(node, checked) {
      if (node.children) {
        let leafNodes = [];
        getAllLeafNodesByNodeData(node, leafNodes); // 勾选状态时 勾选的子图层数量不能大于限制数量 否则不执行勾选操作

        if (checked) {
          if (checkedLayers.length + leafNodes.length > that._maxCounts) {
            (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
              showClose: true,
              message: "最大勾选数量只能" + that._maxCounts + "个！",
              type: "warning",
              duration: 3000
            });
            let keys = [];

            for (let i = 0; i < leafNodes.length; i++) {
              keys.push(leafNodes[i].guid);
            }

            that.fire("setTreeChecked", {
              keys: keys,
              show: false
            });
            return false;
          }
        }
      } else {
        if (checked) {
          if (checkedLayers.length >= that._maxCounts) {
            that.fire("setTreeChecked", {
              keys: [node.guid],
              show: false
            });
            (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
              showClose: true,
              message: "最大勾选数量只能" + that._maxCounts + "个！",
              type: "warning",
              duration: 3000
            });
            return false;
          }
        }
      }

      return true;
    } // 判断树节点是否在已经勾选并显示状态的图层中


    function hasShowLayerByNode(guid) {
      for (let i = 0; i < checkedLayers.length; i++) {
        if (checkedLayers[i] === guid) return true;
      }

      return false;
    } // 获取图层树指定节点下所有叶子节点 (勾选操作时排除已经勾选的节点),根据节点数据源


    function getAllLeafNodesByNodeData(node, leafNodes) {
      if (node.children && node.children.length > 0) {
        for (let i = 0; i < node.children.length; i++) {
          getAllLeafNodesByNodeData(node.children[i], leafNodes);
        }
      } else {
        if (nodeData.checked) {
          // 勾选操作时 排除已经勾选的节点
          if (!hasShowLayerByNode(node.guid)) {
            leafNodes.push(node);
          }
        } else {
          leafNodes.push(node);
        }
      }
    }
  }
  /**
   * 右键菜单点击事件
   * @param key menu的节点index
   * @param currentSelectedNode 右键操作树节点的数据源
   */


  handleSelectMenu(key, currentSelectedNode) {
    if (key === "1") {
      // 缩放至图层
      if (currentSelectedNode.rect84) {
        gis_utils_namespaceObject.mapViewUtils.fitBounds(this._props.mapTarget, currentSelectedNode.rect84);
      }
    } else if (key === "3") {
      // 置顶
      gis_utils_namespaceObject.mapViewUtils.setLayerBringToFrontById(this._props.mapTarget, currentSelectedNode.guid, true);
    } else if (key === "4") {
      // 取消置顶
      gis_utils_namespaceObject.mapViewUtils.setLayerBringToFrontById(this._props.mapTarget, currentSelectedNode.guid, false);
    } else if (key === "5") {
      // 图层上移
      gis_utils_namespaceObject.mapViewUtils.raiseLayerByTreeId(this._props.mapTarget, currentSelectedNode.guid);
    } else if (key === "6") {
      // 图层下移
      gis_utils_namespaceObject.mapViewUtils.lowerLayerByTreeId(this._props.mapTarget, currentSelectedNode.guid);
    } else if (key === "7") {
      gis_utils_namespaceObject.mapViewUtils.resetLayerZIndex(this._mapTarget);
    } else if (key === "8") {
      let keys = gis_utils_namespaceObject.mapLayerUtils.getLayerCheckedListKey(this._props.mapTarget);

      if (keys && keys.length > 0) {
        // 这步只会去掉图层显示
        gis_utils_namespaceObject.mapLayerUtils.setLayerVisibleStateByIds(this._props.mapTarget, keys, false, this); // 图层树节点取掉勾选状态

        this.fire("setTreeChecked", {
          keys: keys,
          show: false
        });
      }
    }
  } // 销毁


  destroy() {
    // 删除所有事件监听
    this.off();
    gis_utils_namespaceObject.mapViewUtils.offViewEvents("mounted", this.resetListData, this._props.mapTarget);
    gis_utils_namespaceObject.mapViewUtils.offViewEvents("resetLayerDatas", this.resetListData, this._props.mapTarget);
    if (!(this._props.mapTarget && this._props.mapTarget !== "")) gis_utils_namespaceObject.utils.offChangeMapEvents(this._changeMap);
  }

}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-icons"
var vue_iclient_icons_namespaceObject = require("@zpc_npm/vue-iclient-icons");
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/common/layertree/LayerTree.vue?vue&type=script&setup=true&lang=js


const _hoisted_1 = {
  class: "layertree"
};

const _hoisted_2 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "缩放至图层", -1
/* HOISTED */
);

const _hoisted_3 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "透明度设置", -1
/* HOISTED */
);

const _hoisted_4 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "图层置顶", -1
/* HOISTED */
);

const _hoisted_5 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "取消置顶", -1
/* HOISTED */
);

const _hoisted_6 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "图层上移", -1
/* HOISTED */
);

const _hoisted_7 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "图层下移", -1
/* HOISTED */
);

const _hoisted_8 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "图层位置还原", -1
/* HOISTED */
);

const _hoisted_9 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", null, "取消所有勾选", -1
/* HOISTED */
);





 // 获取组件传参

const __default__ = {
  name: "KqLayerTree"
};
/* harmony default export */ var LayerTreevue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 每个地图相关组件的必须参数 非必传 指定组件绑定的map对象的div的id
    mapTarget: String,
    maxCounts: {
      type: Number,
      default: 12
    },
    showFilterBox: {
      type: Boolean,
      default: true
    },
    showRightMenu: {
      type: Boolean,
      default: true
    },
    nodeName: {
      type: String,
      default: "name"
    },
    defaultExpanded: {
      type: Boolean,
      default: true
    }
  },
  emits: ["openOpacity"],

  setup(__props, {
    expose,
    emit
  }) {
    const props = __props; // 图层树对象

    let myTree = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null); // list数据源

    let dataList = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
      data: []
    }); // 逻辑类

    let viewModel = null;
    let inputValue = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(""); // 是否显示下拉菜单

    let menuDropdown = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false); // 下拉菜单

    let dropDownMenu = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null); // 当前选中的节点

    let currentSelectedNode = null; // 默认展开节点

    let defaultExpandedKeys = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.reactive)({
      data: []
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      viewModel = new LayerTreeViewModel(props.mapTarget, props.maxCounts); // 逻辑类监听数据设置事件

      viewModel.on("setData", _data => {
        dataList.data.value = _data.maplayers; // 默认展开第一个节点

        if (props.defaultExpanded) {
          defaultExpandedKeys.data.value = [_data.maplayers[0].guid];
        }

        (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.nextTick)(() => {
          myTree.value.$refs.child.setCheckedKeys(_data.keys, true);
        });
      }); // 监听勾选树节点

      viewModel.on("setTreeChecked", params => {
        params.keys.forEach(key => {
          myTree.value.$refs.child.setChecked(key, params.show);
        });
      });
      viewModel.init();
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onBeforeUnmount)(() => {
      viewModel.destroy();
      viewModel = null;
      document.removeEventListener("click", hideMenuDropdown);
    });
    expose({
      reset
    });

    function reset() {
      hideMenuDropdown();
    } //右键菜单


    function rightClick(mouseEvent, object, node) {
      if (!props.showRightMenu || object.children) return;

      if (node.checked) {
        if (!object.children) {
          menuDropdown.value = true;
          let menu = dropDownMenu.value.$el;
          menu.style.left = mouseEvent.clientX - 5 + "px";
          menu.style.top = mouseEvent.clientY - 10 + "px";
          currentSelectedNode = node;
          document.addEventListener("click", hideMenuDropdown);
        }
      } else {
        (0,vue_iclient_leaflet_namespaceObject.KqMessage)({
          showClose: true,
          message: "请先勾选图层！",
          type: "info",
          duration: 3000
        });
      }
    }
    /**
     * checkbox事件
     * @param nodeData 操作节点数据，不是节点对象
     */


    function handleCheck(nodeData) {
      let currenNode = myTree.value.$refs.child.getNode(nodeData);
      viewModel.handleCheck(nodeData, currenNode.checked);
    }

    function filterNode(value, data) {
      if (!value) return true;
      return data.name.indexOf(value) !== -1;
    }

    function searchClick() {
      myTree.value.$refs.child.filter(inputValue.value);
    }

    function handleSelectMenu(key) {
      if (key === "2") {
        emit("openOpacity", currentSelectedNode.data);
      } else {
        viewModel.handleSelectMenu(key, currentSelectedNode.data);
      }
    } //隐藏下拉菜单


    function hideMenuDropdown() {
      // 去除选中样式
      let selectElement = dropDownMenu.value.$el.querySelector(".is-active");
      if (selectElement) selectElement.classList.remove("is-active");
      menuDropdown.value = false;
      document.removeEventListener("click", hideMenuDropdown);
    }
    /**
     * 图层树的行内容重写
     * @param h
     * @param node
     * @param data
     * @param store
     * @returns {JSX.Element}
     */


    function renderContent(h, {
      node,
      data,
      store
    }) {
      if (data.children) {
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-tooltip"), {
          "show-after": 500,
          "class": "item",
          "effect": "light",
          "placement": "right",
          "content": data.name
        }, {
          default: () => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)("span", {
            "class": "treeNodeSpan"
          }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)("span", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon"), {
            "class": "treeNodeIcon"
          }, {
            default: () => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(vue_iclient_icons_namespaceObject.IconFile, null, null)]
          })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)("span", {
            "class": "tile"
          }, [data.shapeType ? data[props.nodeName] + " (" + data.children.length + ")" : data[props.nodeName]])])]
        });
      } else {
        return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-tooltip"), {
          "show-after": 500,
          "class": "item",
          "effect": "light",
          "placement": "right",
          "content": data[props.nodeName]
        }, {
          default: () => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)("span", {
            "class": "treeNodeSpan"
          }, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)("span", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon"), {
            "class": "treeNodeIcon"
          }, {
            default: () => [!(data.rasterLayer || data.vectorLayer) ? (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(vue_iclient_icons_namespaceObject.IconFile, null, null) : data.rasterLayer ? (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(vue_iclient_icons_namespaceObject.IconImage, null, null) : data.shapeType === "polyline" ? (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(vue_iclient_icons_namespaceObject.IconPolyline, null, null) : data.shapeType === "polygon" ? (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(vue_iclient_icons_namespaceObject.IconPolygon2, null, null) : data.shapeType === "point" ? (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(vue_iclient_icons_namespaceObject.IconPoint, null, null) : ""]
          })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)("span", {
            "class": "tile"
          }, [data[props.nodeName]])])]
        });
      }
    }

    return (_ctx, _cache) => {
      const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-button");

      const _component_kq_input = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-input");

      const _component_kq_tree = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-tree");

      const _component_kq_scrollbar = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-scrollbar");

      const _component_kq_icon = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-icon");

      const _component_kq_menu_item = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-menu-item");

      const _component_kq_divider = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-divider");

      const _component_kq_menu = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-menu");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_1, [props.showFilterBox ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_input, {
        key: 0,
        modelValue: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(inputValue),
        "onUpdate:modelValue": _cache[0] || (_cache[0] = $event => (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.isRef)(inputValue) ? inputValue.value = $event : inputValue = $event),
        class: "w-50 m-2 searchInputClass",
        placeholder: "请输入内容",
        onClear: searchClick
      }, {
        append: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_button, {
          icon: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Search),
          onClick: searchClick
        }, null, 8
        /* PROPS */
        , ["icon"])]),
        _: 1
        /* STABLE */

      }, 8
      /* PROPS */
      , ["modelValue"])) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_scrollbar, {
        class: "scrollbarClass"
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_tree, {
          data: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(dataList).data.value,
          ref_key: "myTree",
          ref: myTree,
          "expand-on-click-node": true,
          onNodeContextmenu: rightClick,
          onCheck: handleCheck,
          "node-key": "guid",
          "filter-node-method": filterNode,
          "auto-expand-parent": "",
          "show-checkbox": "",
          "render-content": renderContent,
          "default-expanded-keys": (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(defaultExpandedKeys).data.value
        }, null, 8
        /* PROPS */
        , ["data", "default-expanded-keys"])]),
        _: 1
        /* STABLE */

      }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withDirectives)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu, {
        ref_key: "dropDownMenu",
        ref: dropDownMenu,
        class: "treeMenu",
        onSelect: handleSelectMenu
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "1"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.FullScreen))]),
            _: 1
            /* STABLE */

          }), _hoisted_2]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "2"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.MagicStick))]),
            _: 1
            /* STABLE */

          }), _hoisted_3]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "3"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Download), {
              class: "layerTop"
            })]),
            _: 1
            /* STABLE */

          }), _hoisted_4]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "4"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Download))]),
            _: 1
            /* STABLE */

          }), _hoisted_5]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "5"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Top))]),
            _: 1
            /* STABLE */

          }), _hoisted_6]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "6"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Bottom))]),
            _: 1
            /* STABLE */

          }), _hoisted_7]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_divider), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "7"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.RefreshLeft))]),
            _: 1
            /* STABLE */

          }), _hoisted_8]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_menu_item, {
          index: "8"
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_icon, null, {
            default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.Hide))]),
            _: 1
            /* STABLE */

          }), _hoisted_9]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      }, 512
      /* NEED_PATCH */
      )], 512
      /* NEED_PATCH */
      ), [[external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.vShow, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(menuDropdown)]])]);
    };
  }

}));
;// CONCATENATED MODULE: ./src/common/layertree/LayerTree.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/common/layertree/LayerTree.vue



const __exports__ = LayerTreevue_type_script_setup_true_lang_js;

/* harmony default export */ var LayerTree = (__exports__);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/init.js"
var init_js_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/common/layertree/index.js




LayerTree.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(LayerTree.name, LayerTree);
};


module.exports = __webpack_exports__;
/******/ })()
;