/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  "XzqNavigationViewModel": function() { return /* reexport */ XzqNavigationViewModel; },
  "default": function() { return /* reexport */ XzqNavigation; }
});

;// CONCATENATED MODULE: external {"root":"Vue","commonjs":"vue","commonjs2":"vue","amd":"vue"}
var external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject = require("vue");
;// CONCATENATED MODULE: ./node_modules/@babel/runtime/helpers/esm/defineProperty.js
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/mitt"
var mitt_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/mitt");
var mitt_default = /*#__PURE__*/__webpack_require__.n(mitt_namespaceObject);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/_utils/gis-utils"
var gis_utils_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/_utils/gis-utils");
;// CONCATENATED MODULE: ./src/common/xzqnavigation/XzqNavigationViewModel.js



class XzqNavigationViewModel extends (mitt_default()) {
  constructor(options) {
    super();

    _defineProperty(this, "currentRegionLayer", null);

    _defineProperty(this, "provinceCode", null);

    _defineProperty(this, "scale", null);

    _defineProperty(this, "mapTarget", null);

    _defineProperty(this, "_props", null);

    _defineProperty(this, "drawStyle", null);

    this._props = options.props;
    this.currentRegionLayer = window.L.featureGroup();
    this.mapTarget = this._props.mapTarget;
    this.drawStyle = this._props.drawStyle;
    this.cityCode = "";
    this._loadedAsync = this._loadedAsync.bind(this);
    this._changeMap = this._changeMap.bind(this);

    this._registerEvents();
  }

  _registerEvents() {
    // mapview初始化结束监听 如果view已经存在了，mounted事件不会添加监听
    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("mounted", this._loadedAsync, this.mapTarget); // 添加图层数据源变化监听

    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._loadedAsync, this.mapTarget); // 切换监听事件 指定mapTarget时 不需要监听

    if (!(this.mapTarget && this.mapTarget !== "")) gis_utils_namespaceObject.utils.bindChangeMapEvents(this._changeMap);
  }

  _loadedAsync(e) {
    // 如果图层变化事件是自己触发的 则不继续执行 避免死循环
    if (e.eventTarget && e.eventTarget === this) {
      return;
    }

    this.scale = e.target.getScale();
    this.initData();
  } // 地图切换事件


  _changeMap(e) {
    // 为了防止两个监听同时存在 出现数据出错
    const preMapTarget = e.preMapTarget; // 地图切换时 移除切换前地图的数据监听事件

    gis_utils_namespaceObject.mapViewUtils.offViewEvents("resetLayerDatas", this._loadedAsync, preMapTarget); // 地图切换时 添加切换手地图的数据监听事件 不传maptarget 获取当前地图的maptarget

    gis_utils_namespaceObject.mapViewUtils.bindViewEvents("resetLayerDatas", this._loadedAsync);
  }

  initData() {
    let countryCode = this._props.dataJsonName.replace(".json", "");

    let staticPath = this._props.staticPath;
    let path = staticPath + "/" + countryCode + ".json";
    fetch(path).then(res => {
      return res.json();
    }).then(data => {
      data.features.level = 1;
      this.provinceCode = data.features[0].properties[this._props.code];
      let cityPath = staticPath + "/" + countryCode + "/" + this.provinceCode + ".json";
      fetch(cityPath).then(rescity => {
        return rescity.json();
      }).then(datacity => {
        datacity.features.level = 2;
        this.fire("setData", {
          data,
          datacity
        });
      });
    });
  }

  showCurrent(adminCode, datas) {
    let staticPath = this._props.staticPath;

    let countryCode = this._props.dataJsonName.replace(".json", "");

    let provinceCode = this.provinceCode;
    let code = adminCode.toString();
    let adminType = null;

    if (datas.level === 1) {
      let provincePath = staticPath + "/" + countryCode + ".json";
      let cityPath = staticPath + "/" + countryCode + "/" + code + ".json";
      fetch(provincePath).then(res => {
        return res.json();
      }).then(data => {
        data.features.level = 1;
        fetch(cityPath).then(rescity => {
          return rescity.json();
        }).then(cityDatas => {
          cityDatas.features.level = 2;
          adminType = "province";
          this.fire("setShowData", {
            data,
            cityDatas,
            adminType
          });
        });
      });
    } else if (datas.level === 2) {
      let cityPath = staticPath + "/" + countryCode + "/" + provinceCode + ".json";
      let districtPath = staticPath + "/" + countryCode + "/" + provinceCode + "/" + code + ".json";
      fetch(cityPath).then(res => {
        return res.json();
      }).then(cityDatas => {
        cityDatas.features.level = 2;
        fetch(districtPath).then(rescity => {
          return rescity.json();
        }).then(districtDatas => {
          districtDatas.features.level = 3;
          adminType = "city";
          this.cityCode = code;
          this.fire("setShowData", {
            cityDatas,
            districtDatas,
            adminType
          });
        });
      });
    } else if (datas.level === 3) {
      let districtPath = staticPath + "/" + countryCode + "/" + provinceCode + "/" + this.cityCode + ".json";
      fetch(districtPath).then(rescity => {
        return rescity.json();
      }).then(districtDatas => {
        districtDatas.features.level = 3;
        adminType = "district";
        this.fire("setShowData", {
          districtDatas,
          adminType
        });
      });
    }
  }

  drawGeoLayer(geoJsonData, adminType, adminCode) {
    if (!geoJsonData) return;
    let geoData = null;
    this.changeTransparent(adminType); // 创建行政区划矢量图层

    for (let geojson of geoJsonData) {
      if (geojson.properties[this._props.code].toString() === adminCode) {
        geoData = geojson;
      }
    }

    let tempLayer = null;
    this.cleanShownLayer();
    tempLayer = window.L.geoJSON(geoData, {
      onEachFeature: (feature, layer) => {
        if (feature.properties) {
          this.drawStyle.fillOpacity = 0.1;
          layer.setStyle(this.drawStyle);
        }

        layer.on({// mouseover: highlightFeature,
          // mouseout: turnOffHighlight,
          // dblclick: dblClickFeature
        });
      }
    });
    this.currentRegionLayer.addLayer(tempLayer);
    gis_utils_namespaceObject.mapLayerUtils.addTo(this.mapTarget, this.currentRegionLayer);
    let currentBounds = this.currentRegionLayer.getBounds();
    let rect84 = [currentBounds.getNorthEast().lng, currentBounds.getNorthEast().lat, currentBounds.getSouthWest().lng, currentBounds.getSouthWest().lat];
    gis_utils_namespaceObject.mapViewUtils.fitBounds(this.mapTarget, rect84);
  }

  changeTransparent(adminType) {
    gis_utils_namespaceObject.mapViewUtils.bindMapEvents("zoomanim", this.zooman(adminType), this.mapTarget);
  }

  zooman(adminType) {
    let layer = this.currentRegionLayer;
    let mapscale = this.scale;
    let limitScals = adminType === "province" ? this._props.limitScalsSheng : adminType === "city" ? this._props.limitScalsShi : this._props.limitScalsXian;

    if (mapscale <= limitScals) {
      layer.setStyle({
        fillOpacity: 0
      });
    } else {
      layer.setStyle({
        fillOpacity: 0.1
      });
    }
  }

  cleanShownLayer() {
    gis_utils_namespaceObject.mapLayerUtils.removeLayer(this.mapTarget, this.currentRegionLayer);
    this.currentRegionLayer.clearLayers();
  }

  destroy() {
    this.cleanShownLayer();
    gis_utils_namespaceObject.mapViewUtils.offMapEvents("zoomanim", this.zooman, this.mapTarget);
    this.off();
  }

}
;// CONCATENATED MODULE: external "@element-plus/icons-vue"
var icons_vue_namespaceObject = require("@element-plus/icons-vue");
;// CONCATENATED MODULE: ./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/dist/index.js??ruleSet[0]!./src/common/xzqnavigation/XzqNavigation.vue?vue&type=script&setup=true&lang=js

const _hoisted_1 = {
  class: "xzqnavigation"
};
const _hoisted_2 = {
  class: "current"
};

const _hoisted_3 = /*#__PURE__*/(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", {
  class: "currentfont"
}, "当前位置：", -1
/* HOISTED */
);

const _hoisted_4 = {
  class: "pointerTitleNav"
};
const _hoisted_5 = {
  class: "cityBox"
};
const _hoisted_6 = {
  class: "adminLevel noneBorder"
};
const _hoisted_7 = {
  class: "boldFont"
};
const _hoisted_8 = ["id"];
const _hoisted_9 = {
  key: 0,
  class: "adminLevel noneBorder"
};
const _hoisted_10 = {
  class: "title"
};
const _hoisted_11 = {
  class: "boldFont"
};
const _hoisted_12 = ["id"];
const _hoisted_13 = {
  key: 1,
  class: "adminLevel noneBorder"
};
const _hoisted_14 = {
  class: "title"
};
const _hoisted_15 = {
  class: "boldFont"
};
const _hoisted_16 = ["id"];
 // 逻辑类 逻辑运算代码都写在里面


 // 获取组件传参
// vue3.2声明名称暂时只支持这样写 name在绑定组件的时候使用

const __default__ = {
  name: "KqXzqNavigation"
};
/* harmony default export */ var XzqNavigationvue_type_script_setup_true_lang_js = (/*#__PURE__*/Object.assign(__default__, {
  props: {
    // 每个地图相关组件的必须参数 非必传 指定组件绑定的map对象的div的id
    mapTarget: String,
    navigationType: {
      type: Number
    },
    staticPath: {
      type: String,
      default: ""
    },
    dataJsonName: {
      type: String,
      default: ""
    },
    code: {
      type: String,
      default: "adcode"
    },
    name: {
      type: String,
      default: "name"
    },
    limitScalsSheng: {
      type: Number,
      default: 20000000
    },
    limitScalsShi: {
      type: Number,
      default: 288888
    },
    limitScalsXian: {
      type: Number,
      default: 150000
    },
    drawStyle: {
      type: Object,
      default: function () {
        return {
          fill: true,
          fillColor: "#3388FF",
          fillOpacity: 0.1,
          weight: 2,
          dashArray: "3, 4"
        };
      }
    }
  },

  setup(__props, {
    expose
  }) {
    const props = __props; // 逻辑类

    let viewModel = null;
    let positionTitle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(null);
    let provincesDatas = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)([]);
    let cityDatas = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)([]);
    let districtDatas = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)([]);
    let cityRestBtnActive = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(false);
    let adminCode = null;
    let title = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)(["省", "市", "县"]);
    const useProvinceClickStyle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)();
    const useCityClickStyle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)();
    const useDistrictClickStyle = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.ref)();
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onMounted)(() => {
      if (props.navigationType === 2) {
        title.value = ["市", "县", "乡"];
      }

      viewModel = new XzqNavigationViewModel({
        props
      });
      viewModel.on("setData", _data => {
        provincesDatas.value = _data.data.features;
        cityDatas.value = _data.datacity.features;
      });
    });
    (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.onBeforeUnmount)(() => {
      viewModel = null;
    });

    function clearAll() {
      viewModel.destroy();
      removeAllRegionLayer();
    }

    function drawGeoLayer(geoJsonData, adminType, adminCode) {
      viewModel.drawGeoLayer(geoJsonData, adminType, adminCode);
    }

    function showCurrent(event, datas) {
      adminCode = event.target.id || "";
      positionTitle.value = event.target.outerText;
      viewModel.on("setShowData", _data => {
        let adminType = _data.adminType;

        if (adminType === "province") {
          provincesDatas.value = _data.data.features;
          cityDatas.value = _data.cityDatas.features;
          useProvinceClickStyle.value = adminCode;
          cityRestBtnActive.value = true;
          drawGeoLayer(provincesDatas.value, adminType, adminCode);
        } else if (adminType === "city") {
          cityDatas.value = _data.cityDatas.features;
          districtDatas.value = _data.districtDatas.features;
          useCityClickStyle.value = adminCode;
          cityRestBtnActive.value = true;
          drawGeoLayer(cityDatas.value, adminType, adminCode);
        } else if (adminType === "district") {
          districtDatas.value = _data.districtDatas.features;
          useDistrictClickStyle.value = adminCode;
          cityRestBtnActive.value = true;
          drawGeoLayer(districtDatas.value, adminType, adminCode);
        }
      });
      viewModel.showCurrent(adminCode, datas);
    }

    function removeAllRegionLayer() {
      positionTitle.value = "";
      districtDatas.value = null;
      cityRestBtnActive.value = false;
      useProvinceClickStyle.value = false;
      useCityClickStyle.value = false;
      useDistrictClickStyle.value = false;
      viewModel.cleanShownLayer();
    }

    expose({
      clearAll
    });
    return (_ctx, _cache) => {
      const _component_kq_button = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-button");

      const _component_kq_col = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-col");

      const _component_kq_row = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.resolveComponent)("kq-row");

      return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_1, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_2, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", null, [_hoisted_3, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", _hoisted_4, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(positionTitle)), 1
      /* TEXT */
      )]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(cityRestBtnActive) ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createBlock)(_component_kq_button, {
        key: 0,
        icon: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(icons_vue_namespaceObject.CircleClose),
        class: "iconstyle",
        title: "清除图层",
        text: "",
        onClick: removeAllRegionLayer
      }, null, 8
      /* PROPS */
      , ["icon"])) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)(" <kq-icon @click=\"removeAllRegionLayer\" v-if=\"cityRestBtnActive\" class=\"iconstyle\" size=\"25\" title=\"清除图层\"\n            ><CircleClose\n          /></kq-icon> ")])]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_5, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_6, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, {
        style: {
          "align-items": "center"
        }
      }, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
          span: 3
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", null, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", _hoisted_7, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(title)[0]), 1
          /* TEXT */
          )])]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
          span: 21
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("ul", null, [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(provincesDatas), prov => {
            return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("li", {
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)({
                regionClicked: prov.properties[props.code] == useProvinceClickStyle.value
              }),
              id: prov.properties[props.code],
              key: prov.properties[props.code],
              ref_for: true,
              ref: "provinceArrs",
              onClick: _cache[0] || (_cache[0] = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withModifiers)($event => showCurrent($event, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(provincesDatas)), ["stop"]))
            }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(prov.properties[props.name]), 11
            /* TEXT, CLASS, PROPS */
            , _hoisted_8);
          }), 128
          /* KEYED_FRAGMENT */
          ))])]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })]), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(cityDatas) != null ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_9, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
          span: 3
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_10, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", _hoisted_11, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(title)[1]), 1
          /* TEXT */
          )])]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
          span: 21
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("ul", null, [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(cityDatas), prov => {
            return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("li", {
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)({
                regionClicked: prov.properties[props.code] == useCityClickStyle.value
              }),
              id: prov.properties[props.code],
              key: prov.properties[props.code],
              ref_for: true,
              ref: "cityArrs",
              onClick: _cache[1] || (_cache[1] = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withModifiers)($event => showCurrent($event, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(cityDatas)), ["stop"]))
            }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(prov.properties[props.name]), 11
            /* TEXT, CLASS, PROPS */
            , _hoisted_12);
          }), 128
          /* KEYED_FRAGMENT */
          ))])]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })])) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(districtDatas) != null ? ((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("div", _hoisted_13, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_row, null, {
        default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
          span: 3
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("div", _hoisted_14, [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("span", _hoisted_15, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(title)[2]), 1
          /* TEXT */
          )])]),
          _: 1
          /* STABLE */

        }), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createVNode)(_component_kq_col, {
          span: 21
        }, {
          default: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withCtx)(() => [(0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementVNode)("ul", null, [((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(true), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)(external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.Fragment, null, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.renderList)((0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(districtDatas), prov => {
            return (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.openBlock)(), (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createElementBlock)("li", {
              class: (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.normalizeClass)({
                regionClicked: prov.properties[props.code] == useDistrictClickStyle.value
              }),
              id: prov.properties[props.code],
              key: prov.properties[props.code],
              ref_for: true,
              ref: "districtArrs",
              onClick: _cache[2] || (_cache[2] = (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.withModifiers)($event => showCurrent($event, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.unref)(districtDatas)), ["stop"]))
            }, (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.toDisplayString)(prov.properties[props.name]), 11
            /* TEXT, CLASS, PROPS */
            , _hoisted_16);
          }), 128
          /* KEYED_FRAGMENT */
          ))])]),
          _: 1
          /* STABLE */

        })]),
        _: 1
        /* STABLE */

      })])) : (0,external_root_Vue_commonjs_vue_commonjs2_vue_amd_vue_namespaceObject.createCommentVNode)("v-if", true)])])]);
    };
  }

}));
;// CONCATENATED MODULE: ./src/common/xzqnavigation/XzqNavigation.vue?vue&type=script&setup=true&lang=js
 
;// CONCATENATED MODULE: ./src/common/xzqnavigation/XzqNavigation.vue



const __exports__ = XzqNavigationvue_type_script_setup_true_lang_js;

/* harmony default export */ var XzqNavigation = (__exports__);
;// CONCATENATED MODULE: external "@zpc_npm/vue-iclient-leaflet/init.js"
var init_js_namespaceObject = require("@zpc_npm/vue-iclient-leaflet/init.js");
var init_js_default = /*#__PURE__*/__webpack_require__.n(init_js_namespaceObject);
;// CONCATENATED MODULE: ./src/common/xzqnavigation/index.js




XzqNavigation.install = (Vue, opts) => {
  init_js_default()(Vue, opts);
  Vue.component(XzqNavigation.name, XzqNavigation);
};


module.exports = __webpack_exports__;
/******/ })()
;